using System;
class HelloWorld {
  static void Main() {
    string s = Console.ReadLine();
char c1 = s[0];
char c2 = s[1];
string[] p = Console.ReadLine().Split(' ');
int a1 = Convert.ToInt32(p[0]);
int a2 = Convert.ToInt32(p[1]);
int ma = Math.Max(a1, a2);
int mi = Math.Min(a1, a2);
if (ma - mi > 1) Console.WriteLine("nemoguce"); else
{
    if (a1 == ma)
    {
        while (a1>0 || a2 > 0)
        {
            if (a1 != 0) { Console.Write(c1);a1--; }
            if (a2 != 0) { Console.Write(c2); a2--; }
        }
    } else
    {
        while (a1 > 0 || a2 > 0)
        {
            if (a2 != 0) { Console.Write(c2); a2--; }
            if (a1 != 0) { Console.Write(c1); a1--; }
        }
    }
}
  }
}